// global defines used throughout all classes

// miscellaneous buffer sizes
#define MAX_CB_BUFFER			(sizeof(_TCHAR) * 255)
#define MAX_CB_ERRORINFO		(sizeof(_TCHAR) * 255)
#define MAX_CB_NBHOSTNAME		(sizeof(_TCHAR) * 15)

// ip address buffer sizes
#define MAX_BYTES_PER_OCTET		3
#define MAX_BYTES_PER_IPADDRESS 16
#define MAX_IPADDRESSES			100  // maximum number of ip addresses that can be processed in one run
#define MAX_CB_REG_MULTI_SZ		(sizeof(_TCHAR) * MAX_BYTES_PER_IPADDRESS * MAX_IPADDRESSES)

// acl modification buffer sizes
#define SD_SIZE					(65536 + SECURITY_DESCRIPTOR_MIN_LENGTH)

// metabase access constants
#define METADATA_TIMEOUT		(2 * 1000)  // timeout value for metabase read and write requests
											// doubled time to deal with timeouts on slow hosts
// activeDs nameSpace options
#define NS_WNT		_T("WinNT")	// Wnt40 SAM security provider
#define NS_LDAP		_T("Ldap")	// Ldap security provider [, SiteSrv30 P&M and WinSrv2k]
#define NS_NDS		_T("Nds")	// Netware NDS provider
#define NS_IIS		_T("IIS")	// NtOptPack40 - IIS provider

// odbc dsn driver type options
#define ACCESS_DRIVER	_T("Microsoft Access Driver (*.mdb)")
#define SQL_DRIVER		_T("SQL Server")
