Attribute VB_Name = "initialize"
Option Explicit

'// Maximum Size values
Public Const MAX_VALUENAME_LEN = 256
Public Const MAX_REG_STRING_LEN = 256
Public Const MAX_REG_BINARY_LEN = 256
Public Const MAX_REG_DWORD_LEN = 4
Public Const MAX_DATE_LEN = 256

'// Registry hKey values
Public Const HKEY_CLASSES_ROOT = &H80000000
Public Const HKEY_CURRENT_USER = &H80000001
Public Const HKEY_LOCAL_MACHINE = &H80000002
Public Const HKEY_USERS = &H80000003
Public Const HKEY_PERFORMANCE_DATA = &H80000004
Public Const HKEY_CURRENT_CONFIG = &H80000005
Public Const HKEY_DYN_DATA = &H80000006

'// Registry Type values
Public Const REG_NONE = 0                 '// No value type
Public Const REG_SZ = 1                   '// Unicode null terminated string
Public Const REG_EXPAND_SZ = 2            '// Unicode null terminated string with %environment% references
Public Const REG_BINARY = 3               '// Free form binary
Public Const REG_DWORD = 4                '// 32-bit number
Public Const REG_MULTI_SZ = 7             '// Multiple Unicode strings

'// Registry Error return values
Public Const ERROR_SUCCESS = 0& '// The operation completed successfully.
Public Const ERROR_FILE_NOT_FOUND = 2& '// The system cannot find the file specified.
Public Const ERROR_ACCESS_DENIED = 5& '// Access is denied.

Private g_sErrInfo As String

Private Sub Main()
    On Error GoTo ErrorHandler
    g_sErrInfo = ""
    
    If App.PrevInstance Then
        Call MsgBox("An instance of this application is already loaded...closing down.", _
                     vbCritical, "project1")
        End
    End If

    form1.Show
    
    Exit Sub
ErrorHandler:
    g_sErrInfo = Err.Number & ", " & Err.Description & ", " & Err.LastDllError
End Sub

