// Disk.h : Declaration of the CDisk

#ifndef __DISK_H_
#define __DISK_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CDisk
class ATL_NO_VTABLE CDisk : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CDisk, &CLSID_Disk>,
	public ISupportErrorInfo,
	public IDispatchImpl<IDisk, &IID_IDisk, &LIBID_icuUtils>
{
public:
	CDisk()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_DISK)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CDisk)
	COM_INTERFACE_ENTRY(IDisk)
	COM_INTERFACE_ENTRY(IDispatch)
	COM_INTERFACE_ENTRY(ISupportErrorInfo)
END_COM_MAP()
BEGIN_CONNECTION_POINT_MAP(CDisk)
END_CONNECTION_POINT_MAP()


// ISupportsErrorInfo
	STDMETHOD(InterfaceSupportsErrorInfo)(REFIID riid);

// IDisk
public:
	STDMETHOD(AclModify)(/*[in]*/ BSTR sFileOrFolder, /*[in]*/ BSTR sUserOrGroup, /*[in]*/ DWORD dwFileMask, /*[in]*/ DWORD dwFolderMask, /*[in]*/ DWORD dwAccessMode);
	STDMETHOD(GetLargeDriveFree)(/*[in]*/ BSTR sPath, /*[out, retval]*/ DWORD *pTotalFree);
};

#endif //__DISK_H_
