// Error.h : Declaration of the CError

#ifndef __ERROR_H_
#define __ERROR_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CError
class ATL_NO_VTABLE CError : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CError, &CLSID_Error>,
	public IDispatchImpl<IError, &IID_IError, &LIBID_icuUtils>
{
public:
	CError()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_ERROR)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CError)
	COM_INTERFACE_ENTRY(IError)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()

// IError
public:
	STDMETHOD(DisplayLastErrorInfo)(/*[in]*/ BSTR sApiThatFailed);
};

#endif //__ERROR_H_
