// ArgV.h: interface for the CArgV class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ARGV_H__79307D50_188E_11D3_AEBA_0080C700B4E4__INCLUDED_)
#define AFX_ARGV_H__79307D50_188E_11D3_AEBA_0080C700B4E4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "define.h"
#include "Adapters.h"
#include <ipHlpApi.h>  // for MAX_ADAPTER_ADDRESS_LENGTH only

class CArgV  
{
public:
	HRESULT Help();
	HRESULT ProcessArgs();
	HRESULT ExtractArgs(int argc, TCHAR* argv[]);
	
	DWORD m_dwGw;
	DWORD m_dwNetmask;
	DWORD m_dwInet;
	DWORD m_dwDhcpMac;
	DWORD m_dwArgs;
	
	LPTSTR m_suGw;
	LPTSTR m_suNetmask;
	LPTSTR m_suInet;
	LPTSTR m_suDhcpMac;
	LPTSTR m_suIfArg;

	CArgV();
	virtual ~CArgV();
};

#endif // !defined(AFX_ARGV_H__79307D50_188E_11D3_AEBA_0080C700B4E4__INCLUDED_)
