Attribute VB_Name = "initialize"
Option Explicit

'// Odbc Constants
Public Const ACCESS_DRIVER = "Microsoft Access Driver (*.mdb)"
Public Const SQL_DRIVER = "SQL Server"
Public Const TEXT_DRIVER = "Microsoft Text Driver (*.txt, *.csv)"

'// Ado Recordset CursorTypes
Public Const adOpenForwardOnly = 0
Public Const adOpenKeyset = 1
Public Const adOpenDynamic = 2
Public Const adOpenStatic = 3

'// Ado Recordset LockTypes
Public Const adLockReadOnly = 1
Public Const adLockPessimistic = 2
Public Const adLockOptimistic = 3
Public Const adLockBatchOptimistic = 4

Private g_sErrInfo As String

Private Sub Main()
    On Error GoTo ErrorHandler
    g_sErrInfo = ""
    
    If App.PrevInstance Then
        Call MsgBox("An instance of this application is already loaded...closing down.", _
                     vbCritical, "project1")
        End
    End If
    
    form1.Show
        
    Exit Sub
ErrorHandler:
    g_sErrInfo = Err.Number & ", " & Err.Description & ", " & Err.LastDllError
End Sub


