VERSION 5.00
Begin VB.Form form1 
   Caption         =   "form1"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
End
Attribute VB_Name = "form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'// Private WithEvents oAcls As icuAds.Acls
'// Private WithEvents oUser As icuAds.User
'// Private WithEvents oGroup As icuAds.Group
'// Private WithEvents oResource As icuAds.Resource
'// Private WithEvents oService As icuAds.Service

Private oAcls As Object
Private oUser As Object
Private oGroup As Object
Private oResource As Object
Private oService As Object

Private g_sErrInfo As String

Private Sub Form_Load()
    On Error GoTo ErrorHandler
    g_sErrInfo = ""
    
    #If (DEBUGMODE) Then
        '// test calls for debugging builds
        Dim sUserId As String, sPassword As String, sFullName As String, _
            sDescription As String, sGroup As String, sFileOrFolder As String, _
            sUserIdOrGroup As String, _
            sComputerName As String, lRet As Long, _
            dwAccessMask As Long, dwAccessMode As Long
            
        Set oAcls = CreateObject("icuAds.acls")
        Set oUser = CreateObject("icuAds.user")
        Set oGroup = CreateObject("icuAds.group")
        Set oResource = CreateObject("icuAds.resource")
        Set oService = CreateObject("icuAds.service")
        
        '// .User class tests
        sUserId = "testuser"
        sPassword = ""
        sFullName = ""
        sDescription = ""
        lRet = oUser.Create(sUserId, sPassword, sFullName, sDescription)
        lRet = oUser.Exists(sUserId)
        
        sGroup = "testgroup"
        sDescription = ""
        lRet = oGroup.Create(sGroup, sDescription)
        lRet = oGroup.Exists(sGroup)
        
        lRet = oGroup.GroupUsers(sGroup, sUserId, True)
        
        sPassword = "password"
        sFullName = "full name"
        sDescription = "description"
        lRet = oUser.Modify(sUserId, sPassword, sFullName, sDescription)
        lRet = oGroup.Modify(sGroup, sDescription)
        
        lRet = oGroup.GroupUsers(sGroup, sUserId, False)
        lRet = oUser.Delete(sUserId)
        lRet = oGroup.Delete(sGroup)
        
        '// .Acls class tests
        sFileOrFolder = "c:\inetpub\wwwroot"
        sUserIdOrGroup = "Administrators"
        lRet = oAcls.Modify(sFileOrFolder, sUserIdOrGroup, _
                            (ACCESS_ALL), SET_ACCESS, True)
                            
        sFileOrFolder = "c:\inetpub\wwwroot"
        sUserIdOrGroup = "Everyone"
        lRet = oAcls.Modify(sFileOrFolder, sUserIdOrGroup, _
                            (ACCESS_READ Or ACCESS_EXECUTE), GRANT_ACCESS, False)
                                                
        sFileOrFolder = "c:\inetpub\wwwroot\default*.*"
        sUserIdOrGroup = "Everyone"
        lRet = oAcls.Modify(sFileOrFolder, sUserIdOrGroup, _
                            (ACCESS_READ Or ACCESS_EXECUTE), GRANT_ACCESS, False)
                         
        sFileOrFolder = "c:\inetpub\wwwroot\default*.*"
        sUserIdOrGroup = "Everyone"
        lRet = oAcls.Modify(sFileOrFolder, sUserIdOrGroup, _
                            (ACCESS_ALL), REVOKE_ACCESS, False)
        
        sFileOrFolder = "c:\inetpub\wwwroot"
        sUserIdOrGroup = "Everyone"
        lRet = oAcls.Modify(sFileOrFolder, sUserIdOrGroup, _
                            (ACCESS_ALL), REVOKE_ACCESS, False)
                                    
        '// .Resource class tests
        sFileOrFolder = "c:\inetpub\pwp\62\robertob\default.htm"
        sFileOrFolder = "c:\inetpub\pwp\62\robertob"
        sFileOrFolder = "c:\inetpub\pwp\*.*"
        sFileOrFolder = "c:\inetpub\pwp\*.asp"
        sFileOrFolder = "c:\inetpub\pwp\search*.*"
        sFileOrFolder = "c:\inetpub\pwp\def*.asp" '// unsupported mode
        sFileOrFolder = "c:\temp\fileDoesNotExist.asp"
        sFileOrFolder = "c:\temp\folderDoesNotExist\*.*"
        lRet = oResource.CheckForLockedFile(sFileOrFolder)
        '// lRet = 0 implies file(s) not locked
        '// lRet = 1 implies file(s) locked
        '// lRet = -1 implies error_file[path] not found
        g_sErrInfo = oResource.ErrInfo  '// more details
        
        Set oAcls = Nothing
        Set oUser = Nothing
        Set oGroup = Nothing
        Set oResource = Nothing
        Set oService = Nothing
    #End If
  
    Exit Sub
ErrorHandler:
    g_sErrInfo = Err.Number & ", " & Err.Description & ", " & Err.LastDllError
    Set oAcls = Nothing
    Set oUser = Nothing
    Set oGroup = Nothing
    Set oResource = Nothing
    Set oService = Nothing
End Sub
