Attribute VB_Name = "initialize"
Option Explicit

Public Const NS_WNT = "WinNT"   '// Wnt40 Registry or Wnt50 Directory provider
Public Const NS_MBS = "Mbs"     '// SiteServer Membership20 provider
Public Const NS_LDAP = "Ldap"   '// Ldap security provider
Public Const NS_NDS = "Nds"     '// Netware NDS provider
Public Const NS_UNIX = "Unix"   '// Solaris or Linux /etc/passwd, shadow provider
Public Const NS_IIS = "IIS"     '// NtOptPack10 - IIS provider

'// icuAds.acls.Modify dwAccessMask values
Public Const ACCESS_READ = &H1
Public Const ACCESS_WRITE = &H2
Public Const ACCESS_EXECUTE = &H4
Public Const ACCESS_DELETE = &H8
Public Const ACCESS_ALL = &H10

'// icuAds.acls.Modify dwAccessMode values
Public Enum enAccessMode
    NOT_USED_ACCESS = 0
    GRANT_ACCESS '// combines the specified rights with any existing allowed or denied rights of the trustee
    SET_ACCESS '// this flag sets the value discarding all existing access-control information for the trustee
    DENY_ACCESS '// this flag denies the specified rights in addition to any currently denied rights of the trustee
    REVOKE_ACCESS '// this flag sets the value removing all existing access-control information for the trustee
End Enum

Private g_sErrInfo As String

Sub Main()
    On Error GoTo ErrorHandler
    g_sErrInfo = ""
    
    If App.PrevInstance Then
        Call MsgBox("An instance of this application is already loaded...closing down.", _
                     vbCritical, "project1")
        End
    End If

    form1.Show
    
    Exit Sub
ErrorHandler:
    g_sErrInfo = Err.Number & ", " & Err.Description & ", " & Err.LastDllError
End Sub

