Attribute VB_Name = "initialize"
Option Explicit

'// dwAuthFlags
Public Const AUTH_INHERIT = &H0     '// Inherit parent AuthFlags
Public Const AUTH_ANON = &H1        '// web only, Anonymous authentication available
Public Const AUTH_BASIC = &H2       '// web only, Basic authentication available
Public Const AUTH_SSPI = &H4        '// web only, SSPI authentication schemes available
Public Const ALLOW_ANON = &H8       '// ftpSrv only
Public Const ANON_ONLY = &H10       '// ftpSrv only

'// dwAccessFlags
Public Const ACCESS_INHERIT = &H0   '// Inherit parent AccessFlags
Public Const ACCESS_READ = &H1      '// Allow read access
Public Const ACCESS_WRITE = &H2     '// Allow write access
Public Const ACCESS_EXECUTE = &H4   '// web only, Allow file execution (includes script permission), web only
Public Const ACCESS_SCRIPT = &H8    '// web only, Allow script execution, web only
Public Const APP_CREATE = &H10      '// web only, define application starting point
Public Const APP_INPROC = &H20      '// web only, requires app_create to be set
Public Const APP_OUTPROC = &H40     '// web only, requires app_create to be set
Public Const APP_DELETE = &H80      '// web only, delete application
Public Const DIR_BROWSE = &H100     '// web only, enable directory browsing
Public Const FRONTPAGE_WEB = &H200  '// webSrv only, enable fpExtensions, requires app_create to be set
Public Const INDEX_DIR = &H400      '// web only, Index directory
Public Const LOG_ACCESS = &H800     '// Log access

'// IisServer State Query Results
Public Const IISSRV_STARTING = 1
Public Const IISSRV_STARTED = 2
Public Const IISSRV_STOPPING = 3
Public Const IISSRV_STOPPED = 4
Public Const IISSRV_PAUSING = 5
Public Const IISSRV_PAUSED = 6
Public Const IISSRV_CONTINUING = 7

'// IisServer State Requests
Public Const IISSRV_START = 1
Public Const IISSRV_STOP = 2
Public Const IISSRV_PAUSE = 3

Private g_sErrInfo As String

Sub Main()
    On Error GoTo ErrorHandler
    g_sErrInfo = ""
    
    If App.PrevInstance Then
        Call MsgBox("An instance of this applicationis already loaded...closing down.", _
                     vbCritical, App.Title)
        End
    End If
    
    form1.Show
    
    Exit Sub
ErrorHandler:
    g_sErrInfo = Err.Number & ", " & Err.Description & ", " & Err.LastDllError
End Sub
