VERSION 5.00
Begin VB.Form form1 
   Caption         =   "form1"
   ClientHeight    =   3192
   ClientLeft      =   60
   ClientTop       =   348
   ClientWidth     =   4680
   LinkTopic       =   "form1"
   ScaleHeight     =   3192
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
End
Attribute VB_Name = "form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'// Private WithEvents oRegistry As icuReg.registry
Private oRegistry As Object

Private g_sErrInfo As String

Private Sub Form_Load()
    On Error GoTo ErrorHandler
    g_sErrInfo = ""
    
    #If (DEBUGMODE) Then
        '// test calls for debugging builds
        Dim hKey As Long, sSubKey As String, sMachineName As String, _
            lRet As Long, sValue As String, sValueName As String, _
            lValueType As Long, vValue As Variant, caValuesFound As New Collection, _
            iIndex As Integer
            
        '// get current host %computername%
        Set oRegistry = CreateObject("icuReg.registry")
        sMachineName = ""
        hKey = HKEY_CURRENT_USER
        hKey = HKEY_LOCAL_MACHINE
        sSubKey = "System\CurrentControlSet\Control\ComputerName\ComputerName"
        sValueName = "ComputerName"
        sValue = ""
        lRet = oRegistry.QueryValue(hKey, sSubKey, sValueName, sValue, sMachineName)

        Set oRegistry = CreateObject("icuReg.registry")
        hKey = HKEY_LOCAL_MACHINE
        sSubKey = "Software\Internet Customer Unit"
        sMachineName = "robertob3"
        
        '// look for and create a subkey
        lRet = oRegistry.CheckForKey(hKey, sSubKey, sMachineName)
        If (lRet) Then
            lRet = oRegistry.CreateKey(hKey, sSubKey, sMachineName)
        Else
            '// 0 implies subkey already exists, CreateKey would just return a phkResult
        End If
        
        '// set a subkey's <no name> value
        sValue = "NoNameValue"
        lRet = oRegistry.SetKey(hKey, sSubKey, sValue, sMachineName)
        
        '// query a subkey's <no name> value
        sValue = ""
        lRet = oRegistry.QueryKey(hKey, sSubKey, sValue, sMachineName) '// sets sValue
        
        '// look for and create a subkey value
        sValueName = "ValueName1"
        lValueType = REG_SZ
        vValue = "Value 1.0"
        lRet = oRegistry.CheckForValue(hKey, sSubKey, sValueName, sMachineName)
        If (lRet) Then
            lRet = oRegistry.CreateValue(hKey, sSubKey, sValueName, lValueType, vValue, sMachineName)
        Else
            '// 0 implies subkey value already exists, CreateValue would just overwrite the existing value
        End If
                
        '// create a value of each common type without first checking if value entry already exists
        sValueName = "ValueName2"
        lValueType = REG_EXPAND_SZ
        vValue = "%SystemRoot%\system32"
                '// must surround ennvironment variable you desire as part of string with '%'
        lRet = oRegistry.CreateValue(hKey, sSubKey, sValueName, lValueType, vValue, sMachineName)
        
        sValueName = "ValueName3"
        lValueType = REG_MULTI_SZ
        vValue = "MultiValue1" & vbNullChar & "MutiValue2" & vbNullChar & "MultiValue3" & vbNullChar
                '// must separate each entry with vbNullChar including last entry, _
                    but error checking will add the last vbNullChar if you forget it
        lRet = oRegistry.CreateValue(hKey, sSubKey, sValueName, lValueType, vValue, sMachineName)
        
        sValueName = "ValueName4"
        lValueType = REG_BINARY
        vValue = Array(&H1, &H2, &H3, &H4, &H5, &H6, &H7, &H8, &H9, &HA)
        lRet = oRegistry.CreateValue(hKey, sSubKey, sValueName, lValueType, vValue)
        
        sValueName = "ValueName5"
        lValueType = REG_DWORD
        vValue = &H1 '// will populate first byte, 2^0 = 1
        vValue = &H100  '// will populate second byte, 2^8 = 256
        vValue = &H10000 '// will populate third byte, 2^16 = 65536
        vValue = &H1000000 '// will populate fourth byte, 2^24 = 16777216
        vValue = &H7FFFFFFF '// will max vb pos long for dword, 2^32-1/2 = 2147483647
        vValue = &H80000000 '// will max vb neg long for dword, 2^32-1/2 = -2147483648
        lRet = oRegistry.CreateValue(hKey, sSubKey, sValueName, lValueType, vValue, sMachineName)
        
        '// query a subkey value
        sValueName = "ValueName1"
        vValue = ""
        lRet = oRegistry.QueryValue(hKey, sSubKey, sValueName, vValue, sMachineName) '// sets vValue
 
        sValueName = "ValueName2"
        vValue = ""
        lRet = oRegistry.QueryValue(hKey, sSubKey, sValueName, vValue, sMachineName) '// sets vValue
 
        sValueName = "ValueName3"
        vValue = ""
        lRet = oRegistry.QueryValue(hKey, sSubKey, sValueName, vValue, sMachineName) '// sets vValue
 
        sValueName = "ValueName4"
        vValue = ""
        lRet = oRegistry.QueryValue(hKey, sSubKey, sValueName, vValue, sMachineName) '// sets vValue

        sValueName = "ValueName5"
        vValue = ""
        lRet = oRegistry.QueryValue(hKey, sSubKey, sValueName, vValue, sMachineName) '// sets vValue
 
        '// query for all subkey values
        sSubKey = "Software\Internet Customer Unit"
        lRet = oRegistry.QueryAllValues(hKey, sSubKey, caValuesFound, sMachineName) '// sets caValuesFound
        
        For iIndex = caValuesFound.Count To 1 Step -1
            Call caValuesFound.Remove(iIndex)
        Next '// iIndex
        sSubKey = "System\CurrentControlSet\Services\W3SVC\Parameters\Virtual Roots"
        lRet = oRegistry.QueryAllValues(hKey, sSubKey, caValuesFound, sMachineName) '// sets caValuesFound
        
        '// set a subkey value
        sSubKey = "Software\Internet Customer Unit"
        sValueName = "ValueName1"
        lValueType = REG_SZ
        vValue = "Value2.0"
        lRet = oRegistry.SetValue(hKey, sSubKey, sValueName, lValueType, vValue, sMachineName)
        
        sValueName = "ValueName5"
        lValueType = REG_DWORD
        vValue = &H80000016
        lRet = oRegistry.SetValue(hKey, sSubKey, sValueName, lValueType, vValue, sMachineName)
        
        '// delete a subkey value
        sValueName = "ValueName1"
        lRet = oRegistry.DeleteValue(hKey, sSubKey, sValueName, sMachineName)
        
        '// delete a subkey
        lRet = oRegistry.DeleteKey(hKey, sSubKey, sMachineName)
        
        Set oRegistry = Nothing
        
    #End If
    
    Exit Sub
ErrorHandler:
    g_sErrInfo = Err.Number & ", " & Err.Description & ", " & Err.LastDllError
End Sub
