// HashValue.h : Declaration of the CHashValue

#ifndef __HASHVALUE_H_
#define __HASHVALUE_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CHashValue
class ATL_NO_VTABLE CHashValue : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CHashValue, &CLSID_HashValue>,
	public IDispatchImpl<IHashValue, &IID_IHashValue, &LIBID_icuUtils>
{
public:
	CHashValue()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_HASHVALUE)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CHashValue)
	COM_INTERFACE_ENTRY(IHashValue)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()

// IHashValue
public:
	STDMETHOD(CalcHashValue)(/*[in]*/ BSTR sString, /*[in]*/ long *plHashMax, /*[out, retval]*/ long *plHashValue);
};

#endif //__HASHVALUE_H_
