@echo off
:// version = 28jan01
:// status = in progress

:begin
  setlocal

  if "%sArgV1%"=="/"  goto help
  if "%sArgV1%"=="/?" goto help
  if "%sArgV1%"=="?"  goto help
  if /i "%sArgV1%"=="/h" goto help
  if /i "%sArgV1%"=="h"  goto help

  set sProgName=%0
  set sInstallDir=%programfiles%\MsftNsp\Components

  echo.
  echo You are about to setup a component suite useful for creating
  echo and running mgmt and provisioning scripts on your localhost.
  echo After setup completes you will be required to reboot your host
  echo in order to complete the setup process.  A log will be written
  echo to "%temp%\setup.log".
  echo.
  echo Press Ctrl-C and then Y to abort OR
  pause  

  time /t > %temp%\setup.log
  echo setup COMponent suite used for mgmt and provisioning scripts >> %temp%\setup.log
  echo ---------------------------------------------------------------------------- >> %temp%\setup.log
  echo. >> %temp%\setup.log

  :// time /t >> %temp%\setup.log
  :// echo setup Active Directory Service Interfaces on w40s to enable SAM provider >> %temp%\setup.log
  :// ntOptPack40 does a setup of adsi but it only includes the IIS4 provider
  :// services such as the nsg components suite depend on the adsi SAM provider
  :// see http://www.microsoft.com/ntserver/nts/downloads/other/Adsi25/default.asp
  :// %sDistShr%\w40s\sp\ads\%processor_architecture%\ads /q

  echo now copy and register the Nsg published COMponents >> %temp%\setup.log
  :// note - shared runtimes required include atl.dll, mfc42u.dll, msvbvm60.dll, msvcp60.dll and msvcrt.dll
  :// on w40s hosts atl.dll, mfc42u.dll, msvbvm60.dll and msvcp60.dll are missing on non-dev installs
  :// on w2ks hosts msvcp60.dll is the only one missing on non-dev installs
  mkdir "%sInstallDir%"
  xcopy /c /i /y "*" "%sInstallDir%"
  :// set sNsgCom=icuAdo icuAds icuCdo icuHost icuIis4 icuPa icuReg icuUtils atl.dll mfc42u.dll msvbvm60.dll
  set sNsgCom=icuAdo icuAds icuCdo icuHost icuIis4 icuPa icuReg icuUtils
  echo sNsgCom = %sNsgCom% >> %temp%\setup.log
  for %%f in (%sNsgCom%) do (
    regsvr32 /s "%sInstallDir%\%%f.dll"
  )
  set sNsgCom=

  echo now copy the Customers default content used by icuHost.dll/hostProv.js script >> %temp%\setup.log
  mkdir "%systemdrive%\inetpub\Customers"
  xcopy /e /c /i /y "Customers\*" "%systemdrive%\inetpub\Customers"

  time /t >> %temp%\setup.log
  echo setup of COMponent suite is completed you should now reboot your host >> %temp%\setup.log
  echo.
  echo setup of COMponent suite is completed you should now reboot your host
  echo.
  goto end

:help
  echo.
  echo You are about to setup a COMponent suite useful for creating
  echo and running mgmt and provisioning scripts on your localhost.
  echo After setup completes you will be required to reboot your host
  echo in order to complete the setup process.  A log will be written
  echo to "%temp%\setup.log".
  echo.
  echo usage: "%sProgName%"
  echo.
  goto end

:end
  set sProgName=
  endlocal
